<template>
  <div>
    <router-link to="/journal-de-bord" id="Anastasis">
      <img src="/../ressources/anastasis.png" alt="" />
    </router-link>

    <div class="box">
      <h3>Enregistrements</h3>
      <div class="audio-box">
        <h4>Interview</h4>
        <audio controls src="/../ressources/logs/interview.wav">
          Votre navigateur ne supporte pas l'élément <code>audio</code>.
        </audio>
      </div>
      <div class="audio-box">
        <h4>Mémo</h4>
        <audio controls src="/../ressources/logs/audiofile.mp3">
          Votre navigateur ne supporte pas l'élément <code>audio</code>.
        </audio>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "AudioPage",
  mounted() {
    if (!this.$cookie.get("connected")) {
      this.$router.push({ path: "/journal-de-bord" });
    }
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.audio-box {
  margin: 50px 0;
}
</style>
